> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Watching

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/subscribers`](https://docs.github.com/enterprise-cloud@latest/rest/activity/watching#list-watchers) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List watchers
* [`GET /repos/{owner}/{repo}/subscription`](https://docs.github.com/enterprise-cloud@latest/rest/activity/watching#get-a-repository-subscription) - Get a repository subscription
* [`PUT /repos/{owner}/{repo}/subscription`](https://docs.github.com/enterprise-cloud@latest/rest/activity/watching#set-a-repository-subscription) - Set a repository subscription
* [`DELETE /repos/{owner}/{repo}/subscription`](https://docs.github.com/enterprise-cloud@latest/rest/activity/watching#delete-a-repository-subscription) - Delete a repository subscription
* [`GET /user/subscriptions`](https://docs.github.com/enterprise-cloud@latest/rest/activity/watching#list-repositories-watched-by-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - List repositories watched by the authenticated user
* [`GET /users/{username}/subscriptions`](https://docs.github.com/enterprise-cloud@latest/rest/activity/watching#list-repositories-watched-by-a-user) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List repositories watched by a user
